GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
slice.c File Reference
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/slice.h>`
`#include <string.h>`

## Data Structures
struct | new_slice_refcount
struct | new_with_len_slice_refcount
struct | malloc_refcount

## Typedefs
typedef struct new_slice_refcount | new_slice_refcount
typedef struct new_with_len_slice_refcount | new_with_len_slice_refcount

## Functions
gpr_slice | gpr_empty_slice (void)
gpr_slice | gpr_slice_ref (gpr_slice slice)
void | gpr_slice_unref (gpr_slice slice)
gpr_slice | gpr_slice_new (void *p, size_t len, void(*destroy)(void *))
gpr_slice | gpr_slice_new_with_len (void *p, size_t len, void(*destroy)(void *, size_t))
gpr_slice | gpr_slice_from_copied_buffer (const char *source, size_t length)
gpr_slice | gpr_slice_from_copied_string (const char *source)
gpr_slice | gpr_slice_malloc (size_t length)
gpr_slice | gpr_slice_sub_no_ref (gpr_slice source, size_t begin, size_t end)
gpr_slice | gpr_slice_sub (gpr_slice source, size_t begin, size_t end)
gpr_slice | gpr_slice_split_tail (gpr_slice *source, size_t split)
gpr_slice | gpr_slice_split_head (gpr_slice *source, size_t split)
int | gpr_slice_cmp (gpr_slice a, gpr_slice b)
int | gpr_slice_str_cmp (gpr_slice a, const char *b)
char * | gpr_slice_to_cstring (gpr_slice slice)

## Typedef Documentation

typedef struct new_slice_refcount new_slice_refcount

typedef struct new_with_len_slice_refcount new_with_len_slice_refcount

## Function Documentation

gpr_slice gpr_empty_slice | ( | void |  | ) |

int gpr_slice_cmp | ( | gpr_slice | a,
|  | gpr_slice | b
| ) |  |

gpr_slice gpr_slice_from_copied_buffer | ( | const char * | source,
|  | size_t | length
| ) |  |

gpr_slice gpr_slice_from_copied_string | ( | const char * | source | ) |

gpr_slice gpr_slice_malloc | ( | size_t | length | ) |

gpr_slice gpr_slice_new | ( | void * | p,
|  | size_t | len,
|  | void(*)(void *) | destroy
| ) |  |

gpr_slice gpr_slice_new_with_len | ( | void * | p,
|  | size_t | len,
|  | void(*)(void *, size_t) | destroy
| ) |  |

gpr_slice gpr_slice_ref | ( | gpr_slice | slice | ) |

gpr_slice gpr_slice_split_head | ( | gpr_slice * | source,
|  | size_t | split
| ) |  |

gpr_slice gpr_slice_split_tail | ( | gpr_slice * | source,
|  | size_t | split
| ) |  |

int gpr_slice_str_cmp | ( | gpr_slice | a,
|  | const char * | b
| ) |  |

gpr_slice gpr_slice_sub | ( | gpr_slice | source,
|  | size_t | begin,
|  | size_t | end
| ) |  |

gpr_slice gpr_slice_sub_no_ref | ( | gpr_slice | source,
|  | size_t | begin,
|  | size_t | end
| ) |  |

char* gpr_slice_to_cstring | ( | gpr_slice | slice | ) |

void gpr_slice_unref | ( | gpr_slice | slice | ) |